
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>我的WCF之旅（1）：创建一个简单的WCF程序 / iVAN</title>

    <meta name="description" content="我的WCF之旅（1）：创建一个简单的WCF程序 写在前面 在Microsoft提出.NET战略以来, 先后推出了一系列产品和技术, 这些产品和技术为我们在.NET平台下建立企业级的分布式应用提供了很大的 便利.这些技术和产品包括:.NET Remoting,XML WebSerivce,WSE(2.0,3.0),Enterprise Service, MSMQ ...... 我们知道,和一个相对独立的应用不同,我们开发一个分布式应用, 尤其是开发一个企业级的分布式应用, 我们需要考虑较多的东西.比如我们要考虑数据在不同的应用之间传递时采取什么">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">我的WCF之旅（1）：创建一个简单的WCF程序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>写在前面</p>
<p>在Microsoft提出.NET战略以来， 先后推出了一系列产品和技术， 这些产品和技术为我们在.NET平台下建立企业级的分布式应用提供了很大的 便利。这些技术和产品包括：.NET Remoting，XML WebSerivce，WSE(2.0,3.0)，Enterprise Service， MSMQ ......</p>
<p>我们知道，和一个相对独立的应用不同，我们开发一个分布式应用， 尤其是开发一个企业级的分布式应用， 我们需要考虑较多的东西。比如我们要考虑数据在不同的应用之间传递时采取什么样的机制， 这种数据传递是否是安全的，可靠的；如何在分布式的环境下进行异常处理；如何把分别在 不同应用中执行的操作纳入同一个事务……</p>
<p>对于我们上面提到的这些 问题， 这些都是开发分布式应用考虑的典型的问题。值得庆幸的是，Microsoft开发的分布式的产品能够部分的解决这些问题。.NET Remoting 为我们在.NET平台下提供了非常好的解决方案（我个人认为，.NET Remoting是.NET平台下最为成熟的分布式技术。比如相较于另一个使用更为广泛的技术XML Web Service，它具有一些自己独特的特性：可以使用不同的传输层协议进行通信——Http &amp; TCP；可以使用不同的消息编码方式——Bianry &amp; Text （XML）；可以寄宿到IIS和任何一种托管的应用下 ——Console Application 、WinForm Application、 Windows Service……；Server端可以通过双向通信回调(Callback)客户端的操作；……）XMLWeb Service为使我们实现跨平台的系统能够集成显得如此简单。随着技术的不断发展，相关的技术规范（WS-* Specification）不断完善， XML Web Service现在已经成为使用最为广泛的分布式技术了。XML Web　Service能够得到如此广泛的推广，这得得益于Microsoft先后两次推出的Web Service Enhancement （WSE 2.0 、WSE 3.0）。如果没有WSE，　单纯的asmx下的如此的担保和不可靠。WSE为Web Service解决了几大难题：Security、Reliable Messaging、transaction Handling以及大数据的有效传输。　MSMQ作为一种简单而有效的机制为不同应用之间数据的传递提供了保障。</p>
<p>其实，通过合理利用上面这些分布式的技术完全可以为我们建立的一套适合不同层次需要的分布式构架。但这里面仍然存在一些问题，那就是上面这些技术和产品只能解决某一方面的问题；　比如.NET Remoting虽然在.NET平台下是一个很好的依靠，　但是考虑到他不能提供不同平台之间的互操作性。另外，这些技术适合用了完全不同的编程方式，使得我们很难从容地从其中一种转移到另一种上来。基于这些原因，　我们需要一套全新的技术整合以上都这些技术，　于是我们有了今天的WCF——Windows Communication Foundation。WCF建立一套框架，是我们通过一致的编程模式，使用不同的技术构建我们的分布式应用。</p>
<p>虽然很早开始接触WCF，但所学的总是零零碎碎。现在开始系统地研究WCF，希望与大家一同分享我的一些所得，　同时希望能通过这样的一个机会与大家一些探讨WCF，不对的地方希望大家指正。</p>
<p>一开始我们先建立一个简单程序看WCF如何工作：</p>
<p>1　建立整个应用的简单构架</p>
<p>整个构架如图所示，这个Solution由5个Project组成：Artech.WCFService.Contract；　 Artech.WCFService.Service；Artech.WCFService.Hosting；Artech.WCFService.Client；http://localhost/WCFService。</p>
<p>Artech.WCFService.Contract：　Class Library Project，用来保存Contract（Service Contact、Message Contract、Data Contract），　之所以把Contract独立出来的原因是考虑到他同时被Server端——Service本身和Service Hosting和Client端使用。（现在很多的参考书，包括MSDN都使用ServiceModel Metadata Utility Tool (Svcutil.exe)这样的一个工具来访问Service的Metadata Endpoint来生成我们的客户段代码，这些代码就包括Service Contract(一般是一个Interface)，实现了这个Contract的Proxy Class（一个集成自System.ServiceModel.CientBase的一个Class）和相应的Configuration。　这个工具确实给我提供了很大的方便。但我不推荐使用这样的方法（我天生不倾向对于这些代码生成器），因为我觉得，　在Contract可得的情况下－比如Service和Client都是自己开发，让Service和Client实现的Contract是同一个Contract能够保证一致性。这个Project引用System.ServiceModel DLL。</p>
<p>Artech.WCFService.Service：Class Library Project，Service的业务逻辑，　这个Project引用Artech.WCFService.Contract Project和System.ServiceModel DLL。</p>
<p>Artech.WCFService.Hosting：Console Application，　用于以Self-Hosting的方式Host Service。这个Project引用Artech.WCFService.Contract和Artech. Project WCFService.Service。Project和System.ServiceModel DLL。</p>
<p>Artech.WCFService.Client：Console Application，　用以模拟现实中的调用Service的Ｃｌｉｎｅｔ。这个Project引用Artech.WCFService.Contract Project 和System.ServiceModel DLL。</p>
<p>http://localhost/WCFService: Web Site Project，　用于模拟如何把Service Host到IIS中。这个Project引用Artech.WCFService.Contract、Artech.WCFService.Service和System.ServiceModel DLL。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTQzOTEwMkwwLTAuanBn.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 12:30:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8a%80%e6%9c%af/" title="技术">技术</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>, <a href="https://www.iamivan.net/tag/project/" title="project">project</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>我的WCF之旅（1）：创建一个简单的WCF程序的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW22Aeb.html" rel="bookmark">WCF后续之旅&lpar;13&rpar;&colon; 创建一个简单的WCF SOAP Message拦截、转发工具&lbrack;上篇&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WCF是.NET平台下实现SOA的一种手段,SOA的一个重要的特征就基于Message的通信方式.从Messaging的角度讲,WCF可以看成是对Message进行发送.传递.接收.基础的工具.对于一个消息交换的过程,很多人只会关注message的最初的发送端和最终的接收端.实际上在很多情况下,在两者之间还存在很多的中间结点(Intermediary),这些中间结点在可能在实际的应用中发挥中重要的作用.比如,我们可以创建路由器(Router)进行消息的转发,甚至是Load Balance:可以创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2Qn5p.html" rel="bookmark">WCF后续之旅&lpar;13&rpar; 创建一个简单的WCF SOAP Message拦截、转发工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WCF是.NET平台下实现SOA的一种手段,SOA的一个重要的特征就基于Message的通信方式.从Messaging的角度讲,WCF可以看成是对Message进行发送.传递.接收.基础的工具.对于一个消息交换的过程,很多人只会关注message的最初的发送端和最终的接收端.实际上在很多情况下,在两者之间还存在很多的中间结点(Intermediary),这些中间结点在可能在实际的应用中发挥中重要的作用.比如,我们可以创建路由器(Router)进行消息的转发,甚至是Load Balance:可以创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2BX4b.html" rel="bookmark">用EclipseME0&period;5&period;5创建一个简单的J2ME程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|创建 用EclipseME0.5.5创建一个简单的J2ME程序 上一篇文章&lt;如何在Eclipse3.0.1上安装EclipseME 0.5.5版本&gt;,我们已经讲了如何在Eclipse3.0.1上安装Eclipse程序. 今天我们就要用他来创建我们的第一个程序.绝大多数程序教程的第一个程序,都叫做HelloWorld.那么我们就来编一个HelloWorld程序. 1, 文件2, 新建项目3, 选择J2ME,J2ME Midlet Suite4, 输入项目名称:MyFirstJ2ME5, 选			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN77Ayp.html" rel="bookmark">WCF后续之旅&lpar;13&rpar;：创建一个简单的SOAP Message拦截、转发工具&lbrack;下篇&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Part I 中,我们创建了一个InterceptService,并且通过一个特殊的EndpointBehavior,ClientViaBehavior实现了message的拦截.转发功能.在本节中,我们将讨论另外一种不同的实现方式.如何说ClientViaBehavior是基于Client端的实现方式,那么我们今天讨论的是基于Service的实现方式. 在对新的实现方式展开介绍之前,我们先来介绍一下关于逻辑地址和物理地址. 一.逻辑地址和物理地址 我们知道,WCF通过Endpoint进行通信			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QNvDp.html" rel="bookmark">实践重于理论&mdash;&mdash;创建一个监控程序探测WCF的并发处理机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于WCF的并发是针对某个封装了服务实例的InstanceContext而言的(参考&lt;并发的本质&gt;&lt;并发中的同步&gt;),所以在不同的实例上下文模式下,会表现出不同的并发行为.接下来,我们从具体的实例上下文模式的角度来剖析WCF的并发处理机制,如果对WCF实例上下文模式和实例上下文提供机制不了解的话,请参阅&lt;WCF技术剖析(卷1)&gt;第9章. 为了使读者对采用不同实例上下文对并发的影响有一个深刻的认识,会创建一个简单的WCF应用,并在此基础上添加监控功能,主要监控各种事件的执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKoGZM.html" rel="bookmark">我的WCF之旅（3）：在WCF中实现双向通信（Bi-directional Communication）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天写了一篇Remoting中如何实现双向通信的文章&lt;[原创].NET Remoting: 如何通过Remoting实现双向通信(Bidirectional Communication) &gt;,作为对比,今天我们来讨论一下WCF的双向通信. 为了使我们能够更好地对比双向通信在Remoting中和WCF中的实现,我们的Sample采用一样的业务逻辑--调用一个数学计算的远程调用,除了传递相应的操作数之外,我们还传递一个对象,这个对象可以在Server端中回调 (Callback) 把运算结果在Cl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJ1G4p.html" rel="bookmark">Ultradev实例教程&colon;3&period;7 创建一个简单的查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建|教程 第三章:应用数据库创建动态网页 第七节:创建一个简单的查询 其实查询创建的原理与我们在上面学到的数据编辑原理是一样的,都是先从第一个页面传递一个值给第二个页面,然后第二个页面根据这个传递过去的值取出相应的纪录,再做以相应的处理,如显示.编辑.删除.所不同的是传递方式.上一节我们是通过地址连接来传递值,而我们知道一般查询都是通过一个表单填写数据然后提交的. 好,就让我们来看看具体的创建过程. 首先我们要创建一个用户能够输入查询内容的页面.如图,我们插入一个名为Search的类型为Tex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl96qp.html" rel="bookmark">创建一个Windows Service应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|程序|创建 创建一个Windows Service应用程序-------------------------------------------------------------------------------- 下载本文代码见资源 正是由于.NET Framework的出现,才使你能够构建出在系统重新启动时自动运行的.无人参与的(unattended)应用程序.by Stan Schultes技术工具箱:VB.NET, XML, ASPWindows service应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvkYap.html" rel="bookmark">SharePoint中创建一个简单的Web Part 部件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标准的Web部件有时候可以非常强大,可以执行许多函数.本文主要讲解如何使用Visual Studio 创建一个简单的Web部件. 1. 打开VS,点击文件----新建项目. 2. 选择空白SharePoint项目.命名SmallvilleWebPartProject,点击确定.选择部署为场解决方案. 3. 右击项目添加新项目. 4. 选择Web部件. 5. 命名CustomerInformation,点击添加. 6. 右击新的Web部件项目,选择添加类,命名CustomerData,点击确定.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyJqEp.html" rel="bookmark" class="title">关于在Windows中安装Oracle碰到ORA-12638错误的解决方法</a>
					<div>
						oracle|window|错误|解决 今天应邀安装一个Windows上的Oracle9i数据库 不想居然碰到了一些问题 1.安装完Oracle9201软件 2.安装完Oracle9205 patch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv0a1z.html" rel="bookmark" class="title">SEO怎样修复索引页更容易让搜索引擎抓取</a>
					<div>
						我看到几个常见的错误弹出.一个错误的想法,索引页,你应该阻止抓取路径.有意义的,对不对?如果你不想要的页面索引,为什么你会希望它爬?不幸的是,虽然这听起来合乎逻辑的,也是完全错误的.让我们来看看一个例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWLX7p.html" rel="bookmark" class="title">Oracle IMU模式下REDO格式详解</a>
					<div>
						1. 什么是IMU?IMU的主要作用是什么,也就是说为了解决什么问题? IMU---&gt;In Memory Undo,10g新特性,数据库会在shared pool开辟独立的内存区域用于存储Und ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAL7Kb.html" rel="bookmark" class="title">PS简单一步抠出自行车的实用抠图教程</a>
					<div>
						抠图只有适应的方法,没有最好的方法,以本图为例,我们可以只用一步就抠出自行车. 原图 效果 方法步骤: 01.准备工作:打开图片,ctrl+j得到图层1,点击红圈处新建图层2 放于图层1和 背景 层之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOj76b.html" rel="bookmark" class="title">photoshop特效：透明马赛克</a>
					<div>
						这个效果主要结合运用了模糊.马赛克.锐化等滤镜,简单的几个步骤就做出了漂亮的效果,大家不妨也自己研究一下怎样做出自己喜欢的独特效果. 第1步 按ctrl+ n 新建一个图形文件,宽300px,高120 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnemYz.html" rel="bookmark" class="title">PhotoShop简单打造趣味性商业产品宣传图效果教程</a>
					<div>
						1.效果图和创作思路 思路创作:这个服装品牌是年轻活力的,所以在前期拍摄时,就准备做一些有趣味性的画面.把服装摆放在白色背景上,摆出拟人的造型, 后期通过抠图重新构图处理. 制作难点:制作的是平面语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGRg9p.html" rel="bookmark" class="title">Photoshop教你制作华丽的中秋电商促销海报</a>
					<div>
						  此次主题是迎合中秋节做的海报,文案&quot;倾我一世,予你风华&quot;,人物形象是弹古筝的动作,这次衣服选择上有点问题,要是选择红色的,整体视觉效果会更有冲击力. 最终效果 一.前期策划:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3DW4p.html" rel="bookmark" class="title">微软粉丝建议&colon;Win10 RTM版本为Edge浏览器加广告拦截功能</a>
					<div>
						  微软最新开发的Microsoft Edge浏览器是新一代操作系统Windows 10的最大赌注之一,并希望该新浏览器在自己的桌面平台上,能够更好的形成与谷歌Chrome和Mozilla Firef ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWLW0b.html" rel="bookmark" class="title">About 移动云</a>
					<div>
						中国移动的云平台, 还处于初级阶段, 例如没有看到大数据和数据挖掘的产品, 也没有看到像谷歌B4这样的SDN产品. 类似的可以参考一下阿里妈妈的达摩盘, AWS等产品. http://blog.163 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24OZrp.html" rel="bookmark" class="title">android-安卓no compatible targets were found</a>
					<div>
						问题描述 安卓no compatible targets were found 真机连接电脑测试Hello World,运行时弹出对话框:no compatible targets were foun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw2aDb.html" rel="bookmark" class="title">eclipse-没有缺省建议 java Eclipse</a>
					<div>
						问题描述 没有缺省建议 java Eclipse 请教各位大神这个应该怎么设置才能恢复原来的样子呀,本来是有缺省建议的 解决方案 window--preference--java--editor--c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ2gOp.html" rel="bookmark" class="title">Android实现ListView左右滑动删除和编辑&lowbar;Android</a>
					<div>
						有时候,为了实现项目中的需求,完成设计好的用户交互体验,不的不把这些View重新改造成自己想要的效果. Android原生的ListView是不支持左右滑动的,但是看到微信电话本上,联系人可以左右滑动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrNQOM.html" rel="bookmark" class="title">cxf-CXF注解版怎么加入令牌</a>
					<div>
						问题描述 CXF注解版怎么加入令牌 代码 @Component @WebService(serviceName = &quot;HelloWorld&quot;,endpointInterface=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmmr0z.html" rel="bookmark" class="title">高效数据中心的实现技巧</a>
					<div>
						不论是大型企业用户还是中小型企业用户都认为能耗是导致数据中心成本上涨的最根本原因.本文列出的9个实现高效数据中心的重要技巧,可能你会惊讶地发现这些技巧实际上都是很简单.不需要太多成本就可以执行的.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l6axb.html" rel="bookmark" class="title">openwrt-磊科nw704路由器可以刷Openwrt吗？</a>
					<div>
						问题描述 磊科nw704路由器可以刷Openwrt吗? 谁有Openwrt固件(适合nw704)发一个过来,在此先谢谢您啦! 解决方案 貌似不支持哦,openwrt里面好像不支持这款芯片					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAG6eM.html" rel="bookmark" class="title">我在linux系统的服务器上打开语言R环境，变量怎么分开保存？谢谢！</a>
					<div>
						问题描述 我在linux系统的服务器上打开语言R环境,变量怎么分开保存?谢谢! 在linux系统的服务器上打开语言R环境,要依次处理多个数据文件,如果不分开,我在处理完后ls()会把所用设过的变量混一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7N9Kz.html" rel="bookmark" class="title">后台-我想开发个短信平台接收用户发来的手机短信，怎么做？</a>
					<div>
						问题描述 我想开发个短信平台接收用户发来的手机短信,怎么做? 我想开发个短信平台接收用户发来的手机短信,短信内容是某种固定格式的.接收到用户的短信后,后台程序解析然后再回复相应的格式,这个怎么做,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK7Jdb.html" rel="bookmark" class="title">底部按钮-iOS这个提问按钮怎么一直悬浮在屏幕底部</a>
					<div>
						问题描述 iOS这个提问按钮怎么一直悬浮在屏幕底部 iOS这个提问按钮怎么一直悬浮在屏幕底部.我是菜鸟.有人回答吗. 解决方案 如果只需要在这个页面一直在底部显示,只要在最后添加到父视图上就行了 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZWmRz.html" rel="bookmark" class="title">c&num;-txt里面json数组读取  vsC&num;</a>
					<div>
						问题描述 txt里面json数组读取 vsC# 怎么使用C#编程读取txt里面的多个json数组,并依次记录下来,以页面的表格形式展示.求帮忙.. 解决方案 http://www.cnblogs.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA2RDp.html" rel="bookmark" class="title">sql server-Sqlserver 2014 32位 能否兼容其他版本64位数据库？</a>
					<div>
						问题描述 Sqlserver 2014 32位 能否兼容其他版本64位数据库? Sqlserver 2014 business inteligence 数据库只有32位的版本,因为想用BI但是还不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYWgAp.html" rel="bookmark" class="title">判断页面是否有价值的方法</a>
					<div>
						摘要: 相对于判断网站是否价值而言,其中对于网站单独的页面判断价值如何则显得更为重要了,因为整个网站是否有价值,最终取决于内页的价值,如果一个网站的页面价值性都不错,那么 相对于判断网站是否价值而言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod31vM.html" rel="bookmark" class="title">android-获取 imageview 的 id</a>
					<div>
						问题描述 获取 imageview 的 id 在一个循环语句中以编程的方式创建了一些imageViews,并分配了id.当在onClick方法中我需要获得images的id,它只返回最后一幅图像的id ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBgn2M.html" rel="bookmark" class="title">PostgreSQL GIN索引实现原理</a>
					<div>
						标签 PostgreSQL , GIN , 内核 , 实现原理 , PostgreSQL数据库内核分析 背景 本文参考并扩展自如下文档,修正了一些内容(大多数是由于版本不同造成的差异) &lt;Pos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7lXjM.html" rel="bookmark" class="title">用CSS floats创建三栏页布局&lowbar;经验交流</a>
					<div>
						三栏布局是目前最常见的网页布局,主要页内容放在中间一栏,边上的两栏放置导航链接之类的内容.基本布局一般是标题之下放置三栏,三栏占据整个页面的宽度,最后在页的底端放置页脚,页脚也占据整个页面宽度. 绝大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGroBvp.html" rel="bookmark" class="title">python中requests模块的使用方法&lowbar;python</a>
					<div>
						本文实例讲述了python中requests模块的使用方法.分享给大家供大家参考.具体分析如下: 在HTTP相关处理中使用python是不必要的麻烦,这包括urllib2模块以巨大的复杂性代价获取综合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNDEQp.html" rel="bookmark" class="title">利用Python和OpenCV库将URL转换为OpenCV格式的方法&lowbar;python</a>
					<div>
						今天的博客是直接来源于我自己的个人工具函数库. 过去几个月,有些PyImageSearch读者电邮问我:&quot;如何获取URL指向的图片并将其转换成OpenCV格式(不用将其写入磁盘再读回)&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nm14b.html" rel="bookmark" class="title">JavaScript父子窗体间的调用方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript父子窗体间的调用方法.分享给大家供大家参考.具体如下: 如果要打开一个新窗口,使用 window.open( ) 方法. 如果要关闭自身窗口,使用 window.cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1gAZb.html" rel="bookmark" class="title">css中ie7&sol;ie6按钮文字垂直居中的兼容性解决方法</a>
					<div>
						这2天接手了一个离职的同事手头上的工作,发现了一个通用按钮样式在IE下存在兼容性问题.   先上代码  代码如下 复制代码 display:inline-block;line-height:18px; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOPvDb.html" rel="bookmark" class="title">线程-为什么一个写在activity的Oncreate&lpar;&rpar;里面的方法不调用？！</a>
					<div>
						问题描述 为什么一个写在activity的Oncreate()里面的方法不调用?! 求助啊 完全不懂啊 就是那个getClothprice()方法 搞来搞去不调用啊 后面的Init()方法反而是调用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7EKXM.html" rel="bookmark" class="title">黑暗力量再现，乌克兰最大机场网络遭到攻击</a>
					<div>
						据最新消息称,乌克兰方面在找到基辅鲍里斯波尔机场遭受网络攻击的证据后,已经向所有的系统管理人员发出警告. 乌克兰最大机场网络遭到攻击 基辅鲍里斯波尔机场是乌克兰最大的机场.它提供了乌克兰约65%的航空 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
